<?php

if(empty($_REQUEST['manufacturer'])) {
    echo "Please go through search page. (or redirect)";
//    header('Location: search_drilldown.php');
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";


$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}
?>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>
    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>



        <?php
      $sql = "SELECT devices.* , systems.system, manufacturers.manufacturer, types.type
        FROM devices, systems, manufacturers, types

        WHERE devices.manufacturer_id = manufacturers.manufacturer_id
            AND devices.system_id = systems.system_id
            AND devices.type_id = types.type_id";


        $sql .= " AND name LIKE '%" .
            $_REQUEST['name'] . "%'";

        if($_REQUEST['manufacturer'] != "ALL") {
            $sql .= " AND manufacturer ='" . $_REQUEST["manufacturer"] . "'";
        }

        if($_REQUEST['system'] != "ALL") {
            $sql .=		" AND system = '" . $_REQUEST["system"] . "'";
        }

        if($_REQUEST['type'] != "ALL") {
            $sql .=		" AND type = '" . $_REQUEST["type"] . "'";
        }

        $results = $mysql->query($sql);

        if(!$results) {
            echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
            echo "SQL Error: " . $mysql->error . "<hr>";
            exit();
        }

        echo "<em>Your results returned <strong>" .
            $results->num_rows .
            "</strong> results.</em>";
        echo "<br><br>";

        while($currentrow = $results->fetch_assoc()) {
            echo "<div class='name'>" .
                "<a href='details.php?id=" . $currentrow["name"] . "'>" .
                $currentrow['manufacturer'] .
                "</strong> <em> " .
                $currentrow["system"] .
                ", ".
                $currentrow["type"] .
                "</em><br>";
        }
        ?>


    </table>
</div>

</body>

</html>